package com.heyu.api.data.service.impl.ai;
/**
* <p>
* AI角色配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.ai.AiTypeDao;
import com.heyu.api.data.entity.ai.AiTypeEntity;
import com.heyu.api.data.service.ai.AiTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class AiTypeServiceImpl extends ServiceImpl<AiTypeDao, AiTypeEntity> implements AiTypeService {


    @Autowired
	private AiTypeDao aiTypeDao;



	@Override
	public AiTypeEntity selectAiTypeById(Long id){
		return aiTypeDao.selectAiTypeById(id);
	}



	@Override
	public Long insertAiType(AiTypeEntity aiType){
		return aiTypeDao.insertAiType(aiType);
	}



	@Override
	public Long insertOrUpdateAiType(AiTypeEntity aiType){
		return aiTypeDao.insertOrUpdateAiType(aiType);
	}



	@Override
	public int updateAiTypeById(AiTypeEntity aiType){
		return aiTypeDao.updateAiTypeById(aiType);
	}



	@Override
	public int updateCoverAiTypeById(AiTypeEntity aiType){
		return aiTypeDao.updateCoverAiTypeById(aiType);
	}



	@Override
	public int deleteAiTypeById(Long id){
		return aiTypeDao.deleteAiTypeById(id);
	}



}
